//using System.Xml.Xsl;
//using System.Xml.Schema;
//using System.Xml.Serialization;
//using System.ComponentModel;
//using System.Xml.XPath;

using System;
using System.Drawing;
using System.Collections;
using System.Windows.Forms;
using System.Data;
using System.Data.OleDb;
using System.Xml;
using System.Xml.Serialization;
using System.Xml.XPath;
using System.Xml.Xsl;
using System.IO;
using System.Text;

namespace ABI
{
	public class FlashCall
	{
		//===========================================================================================

		#region [ StringToSql | string:sFromFlash ] Build the Name-Value pairs from XML to use in SQL query.
		public string StringToSql(string sFromFlash)
		{
			MainForm retVal = new MainForm();
			XmlDocument doc = new XmlDocument();
			ArrayList ab = new ArrayList();
			StringBuilder str = new StringBuilder();
			str.Append("SELECT LAST_NAME, FIRST_NAME, MIDDLE_NAME, COMPANY, CITY, STATE_PROVINCE, ID FROM Name WHERE ");

			doc.LoadXml(sFromFlash);
			XmlNode root = doc.DocumentElement;

			IEnumerator ienum = root.GetEnumerator();
			while (ienum.MoveNext()) 
			{     
				XmlNode att = (XmlNode) ienum.Current;
				XmlAttributeCollection elem = att.Attributes;

				for(int i = 0; i < elem.Count; i += 2)
				{
					str.Append(elem.Item(i+1).Value +"='" + elem.Item(i).Value + "' AND ");
				}
			}
			str.Remove(str.Length - 5,5);
			return retVal.qExec1(str.ToString());
		}
		#endregion;

		#region [ SQLBuild | ArrayList:myList ] Takes an XML document and creates a SQL transaction.
		public string SQLBuild(StringBuilder myList)
		{
			MainForm retVal = new MainForm();

			StringBuilder qStr = new StringBuilder();
			qStr.Append("SELECT LAST_NAME, FIRST_NAME, MIDDLE_NAME, COMPANY, CITY, STATE_PROVINCE, ID FROM Name WHERE ");
			qStr.Append(myList.ToString());
			//---------------------------------------------------------
			return retVal.qExec1(qStr.ToString());
		}
		#endregion

		#region [ NamesForTree | string []: args ] Retrieves only first and last names that begin with args[0].
		public string NamesForTree(string[] args)
		{
			StringBuilder qStr = new StringBuilder();
			qStr.Append("SELECT LAST_NAME, FIRST_NAME, MIDDLE_NAME, COMPANY, CITY, STATE_PROVINCE, ID FROM Name WHERE ");

			qStr.Append("LAST_NAME LIKE '"+args.GetValue(1).ToString()+"*'");
			qStr.Append(" ORDER BY LAST_NAME, FIRST_NAME, MIDDLE_NAME");

			MainForm retVal = new MainForm();
			return retVal.qExec(qStr.ToString());
		}
		#endregion

		#region [ GetMemberDetails | string:xmlStr ] Return the entire profile of the selected member.
		public string GetMemberDetails(string xmlStr)
		{
			MainForm retVal = new MainForm();

			StringBuilder qStr = new StringBuilder();
			qStr.Append("SELECT * FROM Comm_By_State WHERE ID='"+xmlStr+"'");

			return retVal.qExec(qStr.ToString());
		}
		#endregion;

		//===========================================================================================
	}



	
}